/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef SEARCH_ENGINE_H
#define SEARCH_ENGINE_H

#include "data/FileInfo.h"
#include "data/DiskInfo.h"
#include "data/UserQuickSearch.h"
#include "data/EngineQuickSearch.h"

gint search_engine_search_in_disk ( GtkWindow *w, struct user_quick_search *uqs);
gint search_engine_search_in_dir ( GtkCTree *ctree, GtkCTreeNode *node, struct engine_quick_search *eqs);
gint search_engine_check_disk_match ( struct disk_info *disk, struct engine_quick_search *eqs);
gint search_engine_check_file_match ( struct file_info *file, struct engine_quick_search *eqs);
gint search_engine_add_item ( GtkCList *clist, GtkCTree *ctree, GtkCTreeNode *node, struct file_info *file_info);
gint search_engine_add_disk ( GtkCList *clist, GtkCTree *ctree, GtkCTreeNode *node, struct disk_info *disk_info);


#endif
