/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/*!
 * @header	Supermount.h
 *		GWhere<br>
 *		Copyright (C) 2000  Sbastien LECACHEUR<br>
 *		<br>
 *		This Distributed under the terms of the <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public Licence</a><br>
 *		<br>
 *		This component was developed for the GWhere project.<br>
 *		<br>
 * @abstract	This is a component to manipulate disks.
 * @author	Sbastien LECACHEUR <zero@gwhere.org>
 * @author	Grgory BLOQUEL <pipocrouch@gwhere.org>
 * @version	1.0 2001/08/21
 * @see		support.h
 * @link	GWhere Web Site <http://www.gwhere.org>
 * @link	GTK+ Web Site <http://www.gtk.org>
 * @ref		Supermount.c
 * @author	Author <zero@gwhere.org>
 */


#ifndef GW_SUPER_MOUNT_H
#define GW_SUPER_MOUNT_H


GList *Charger_media( GList *CmbItems);
gboolean Eject_media ( gchar *device);
gint Mount_disk ( gchar *disk);
gboolean Umount_disk ( gchar *disk);
gchar * type_de_montage ( gchar *m);
gchar * nom_de_montage ( gchar *m);
gboolean est_monte ( gchar *m);
gboolean est_montable ( gchar *m);
long double capacite_du_peripherique ( gchar *m);
long double espace_libre_du_peripherique ( gchar *m);


#endif
