/*  GWhere
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/*!
 * @header	MailWindowBox.h
 *		GWhere<br>
 *		Copyright (C) 2000  Sbastien LECACHEUR<br><br>
 *		This Distributed under the terms of the <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public Licence</a><br><br>
 *		This component was developed for the GWhere project.<br><br>
 * @abstract	This is a GUI component.
 * @author	Sbastien LECACHEUR <zero@gwhere.org>
 * @version	1.0 2001/08/21
 * @see		support.h
 * @link		GWhere Web Site <http://www.gwhere.org>
 * @link		GTK+ Web Site <http://www.gtk.org>
 * @ref		MailWindowBox.c
 * @author	Author <zero@gwhere.org>
 */


#ifndef GW_GUI_MAIL_WINDOW_BOX_H
#define GW_GUI_MAIL_WINDOW_BOX_H


/*!
 * @function	gw_mail_window_box_create
 * @abstract	Creates a mail window box.
 * @discussion	This function creates a mail window box.
 * @param	w		the parent window
 * @param	file_name	the catalog file name
 * @result	the mail box window.<br>
 *		Returns <i>NULL</i> when an error occured.<br>
 */
GtkWindow * gw_mail_window_box_create ( GtkWindow *window, gchar *file_name);


/*!
 * @function	gw_mail_window_box_get_main_window
 * @abstract	Gets the parent window.
 * @discussion	This function gets the parent window of the mail window box.
 * @param	w	the mail window box
 * @result	the parent window of the mail window box
 *		Returns <i>NULL</i> when an error occured.<br>
 */
GtkWindow * gw_mail_window_box_get_main_window ( GtkWindow *w);


gchar * gw_mail_window_box_get_to ( GtkWindow *w);
gchar * gw_mail_window_box_get_cc ( GtkWindow *w);
gchar * gw_mail_window_box_get_bcc ( GtkWindow *w);
gchar * gw_mail_window_box_get_object ( GtkWindow *w);
gchar * gw_mail_window_box_get_msg ( GtkWindow *w);
gchar * gw_mail_window_box_get_file_path ( GtkWindow *w);
gboolean gw_mail_window_box_get_option_attach_file ( GtkWindow *w);


#endif
