/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>

#include "MenuHelpCallBack.h"

#include "GWReferences.h"
#include "../support.h"
#include "MenuHelp.h"


/*! @define	GW_REF_MENU_BAR_HELP_MENU_HEADER	The help menu header reference */
#define GW_REF_MENU_BAR_HELP_MENU_HEADER "gw_menu_bar_help_menu_header"
/*! @define	GW_REF_MENU_BAR_HELP_MENU	The help menu reference */
#define GW_REF_MENU_BAR_HELP_MENU "gw_menu_bar_help_menu"
/*! @define	GW_REF_MENU_BAR_HELP_MENU_ABOUT	The help menu -> about reference */
#define GW_REF_MENU_BAR_HELP_MENU_ABOUT "gw_menu_bar_help_menu_about"


GtkWidget * menu_help_create ( GtkWindow *w, GtkAccelGroup *ag, GtkWidget *parent)
{
	GtkWidget *menu_help_header = NULL;
	GtkWidget *menu_help = NULL;
	GtkWidget *menu_help_about = NULL;
	GtkAccelGroup *menu_help_ag;
	guint tmp_key;


#ifdef GW_DEBUG_GUI_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	/* Menu help header */
	menu_help_header = gtk_menu_item_new_with_label ( "");
	tmp_key = gtk_label_parse_uline ( GTK_LABEL ( GTK_BIN ( menu_help_header)->child), _( "_Help"));
	gtk_widget_add_accelerator ( menu_help_header, "activate_item", ag, tmp_key, GDK_MOD1_MASK, 0);
	gtk_widget_ref ( menu_help_header);
	gtk_object_set_data_full ( GTK_OBJECT ( w), GW_REF_MENU_BAR_HELP_MENU_HEADER, menu_help_header, (GtkDestroyNotify) gtk_widget_unref);

	menu_help = gtk_menu_new ( );
	gtk_widget_ref ( menu_help);
	gtk_object_set_data_full ( GTK_OBJECT ( w), GW_REF_MENU_BAR_HELP_MENU, menu_help, (GtkDestroyNotify) gtk_widget_unref);
	gtk_menu_item_set_submenu ( GTK_MENU_ITEM ( menu_help_header), menu_help);
	menu_help_ag = gtk_menu_ensure_uline_accel_group ( GTK_MENU ( menu_help));

	/* Menu help -> about */
	menu_help_about = gtk_menu_item_new_with_label ( "");
	tmp_key = gtk_label_parse_uline ( GTK_LABEL ( GTK_BIN ( menu_help_about)->child), _( "A_bout"));
	gtk_widget_add_accelerator ( menu_help_about, "activate_item", menu_help_ag, tmp_key, 0, 0);
	gtk_widget_ref ( menu_help_about);
	gtk_object_set_data_full ( GTK_OBJECT ( w), GW_REF_MENU_BAR_HELP_MENU_ABOUT, menu_help_about, (GtkDestroyNotify) gtk_widget_unref);
	gtk_container_add ( GTK_CONTAINER ( menu_help), menu_help_about);
	gtk_widget_add_accelerator ( menu_help_about, "activate", ag, GDK_b, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE);
	gtk_signal_connect ( GTK_OBJECT ( menu_help_about), "activate", GTK_SIGNAL_FUNC ( menu_help_about_click), w);

	return menu_help_header;
}
