/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "../support.h"
#include "MenuPopup.h"

#include <gtk/gtk.h>

#include "../GuiManager.h"

#include "MenuFileCallBack.h"
#include "MenuPopupCallBack.h"
#include "MsgBox.h"


GtkMenu * menu_popup_create ( void)
{
	GtkWidget *Menu;
	GtkWidget *MenuItem;


#ifdef GW_DEBUG_GUI_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	Menu = gtk_menu_new ();
	MenuItem = gtk_menu_item_new_with_label ( _( "New"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_new_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Open"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_open_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Save"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_save_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Save as"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_saveas_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Close"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_close_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new ();
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Exit"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_exit_click, NULL);
	gtk_widget_show ( MenuItem);

	return GTK_MENU ( Menu);
}


GtkMenu * menu_popup_catalog_create ( GtkCTreeNode *node)
{
	GtkWidget *Menu;
	GtkWidget *MenuItem;


#ifdef GW_DEBUG_GUI_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	Menu = gtk_menu_new ( );
	MenuItem = gtk_menu_item_new_with_label ( _( "Rename"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_catalog_rename, node);
	gtk_widget_show ( MenuItem);

/*	MenuItem = gtk_menu_item_new_with_label ( _( "Add new disk"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_catalog_add_new_disk, node);
	gtk_widget_show ( MenuItem);
*/
	MenuItem = gtk_menu_item_new_with_label ( _( "Edit description"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_catalog_edit_description, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Edit categories"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_catalog_edit_categories, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new ();
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "New"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_new_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Open"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_open_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Save"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_save_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Save as"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_saveas_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Close"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_file_close_click, NULL);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new ();
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Properties"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_catalog_properties, node);
	gtk_widget_show ( MenuItem);

	return GTK_MENU ( Menu);
}


GtkMenu * menu_popup_disk_create ( GtkCTreeNode *node)
{
	GtkWidget *Menu;
	GtkWidget *MenuItem;


#ifdef GW_DEBUG_GUI_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	Menu = gtk_menu_new ( );
	MenuItem = gtk_menu_item_new_with_label ( _( "Move To..."));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_disk_move_to, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Rename"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_disk_rename, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Delete disk"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_disk_delete, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Change volume label"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_disk_change_volume_label, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Edit description"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_disk_edit_description, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new ();
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Properties"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_disk_properties, node);
	gtk_widget_show ( MenuItem);

	return GTK_MENU ( Menu);
}


GtkMenu * menu_popup_dir_create ( GtkCTreeNode *node)
{
	GtkWidget *Menu;
	GtkWidget *MenuItem;


#ifdef GW_DEBUG_GUI_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	Menu = gtk_menu_new ( );
	MenuItem = gtk_menu_item_new_with_label ( _( "Move To..."));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_folder_move_to, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Edit description"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_folder_edit_description, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Remove from catalog"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_folder_remove, node);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new ();
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_widget_show ( MenuItem);

	MenuItem = gtk_menu_item_new_with_label ( _( "Properties"));
	gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
	gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_folder_properties, node);
	gtk_widget_show ( MenuItem);

	return GTK_MENU (Menu);
}


GtkMenu * menu_popup_file_create ( gint *row)
{
	GtkWidget *Menu;
	GtkWidget *MenuItem;
	GtkWindow *window = interface_get_main_window ( );


#ifdef GW_DEBUG_GUI_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	Menu = gtk_menu_new ( );

	if ( *row != 0 )
	{
		MenuItem = gtk_menu_item_new_with_label ( _( "Edit description"));
		gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
		gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_file_edit_description, row);
		gtk_widget_show ( MenuItem);

		MenuItem = gtk_menu_item_new_with_label ( _( "Remove from catalog"));
		gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
		gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_file_remove, row);
		gtk_widget_show ( MenuItem);

		MenuItem = gtk_menu_item_new ();
		gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
		gtk_widget_show ( MenuItem);

		MenuItem = gtk_menu_item_new_with_label ( _( "Properties"));
		gtk_menu_append ( GTK_MENU ( Menu), MenuItem);
		gtk_signal_connect ( GTK_OBJECT ( MenuItem), "activate", (GtkSignalFunc)menu_popup_file_properties, row);
		gtk_widget_show ( MenuItem);
	}
	else
	{
		msg_box_create ( window, _( "Edit file"), _( "Can't edit this file!!\n"));
	}

	return GTK_MENU ( Menu);
}
