/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <gtk/gtk.h>

#include "NoteBookCatalog.h"
#include "StatusBarCallBack.h"

#include "../support.h"
#include "NoteBookCallBack.h"


gboolean notebook_page_switch ( GtkNotebook *notebook, GtkNotebookPage *page, gint page_num, GtkWindow *w)
{
	GtkCList *clist = NULL;


#ifdef GW_DEBUG_GUI_CALLBACK_COMPONENT
	g_print ( "*** GW - %s (%d) :: %s()\n", __FILE__, __LINE__, __PRETTY_FUNCTION__);
#endif

	if ( w != NULL )
	{
		switch ( page_num )
		{
			case 0:	clist = notebook_catalog_get_clist_explorer ( w);
				status_bar_set_catalog_explorer_page ( w, g_list_length ( clist->selection));

				return TRUE;

			case 1:	clist = notebook_catalog_get_clist_explorer ( w);
				status_bar_set_catalog_search_page ( w, g_list_length ( clist->selection));

				return TRUE;

			case 2: status_bar_set_catalog_managment_page ( w);

				return TRUE;

			default:return FALSE;
		}
	}

	return FALSE;
}
