/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/*!
 * @header	NoteBookManagment.h
 *		GWhere<br>
 *		Copyright (C) 2000  Sbastien LECACHEUR<br><br>
 *		This Distributed under the terms of the <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public Licence</a><br><br>
 *		This component was developed for the GWhere project.<br><br>
 * @abstract	This is a GUI component to manage disks.
 * @author	Sbastien LECACHEUR <zero@gwhere.org>
 * @author	Grgory BLOQUEL <pipocrouch@gwhere.org>
 * @version	1.0 2001/08/21
 * @see		support.h
 * @link		GWhere Web Site <http://www.gwhere.org>
 * @link	GTK+ Web Site <http://www.gtk.org>
 * @ref		NoteBookManagment.c
 * @author	Author <zero@gwhere.org>
 */


#ifndef GW_GUI_NOTEBOOK_MANAGMENT_H
#define GW_GUI_NOTEBOOK_MANAGMENT_H


/*!
 * @function	notebook_managment_create
 * @abstract	Creates a tabbed pane for disk managment.
 * @discussion	This function creates a tabbed pane for disk managment.
 * @param	w		main window
 * @result	the tabbed pane<br>
 *			Returns <i>NULL</i> when an error occured
 */
GtkWidget * notebook_managment_create ( GtkWindow *w);


/*!
 * @function	notebook_managment_create_and_add
 * @abstract	Creates a tabbed pane for disk managment and adds to the container.
 * @discussion	This function creates a tabbed pane for disk managment and add to the container.
 * @param	w		main window
 * @param	parent		parent notebook container
 * @result	the tabbed pane<br>
 *			Returns <i>NULL</i> when an error occured
 */
GtkWidget * notebook_managment_create_and_add ( GtkWindow *w, GtkNotebook *parent);

gint notebook_managment_set_device_dir ( GtkWindow *w, gchar *device_dir);
gint notebook_managment_set_device_name ( GtkWindow *w, gchar *device_name);
gint notebook_managment_set_device_number ( GtkWindow *w, gchar *device_number);
gint notebook_managment_set_device_category ( GtkWindow *w, gchar *device_category);
gint notebook_managment_set_option_automount ( GtkWindow *w, gboolean b);
gint notebook_managment_set_option_display_info ( GtkWindow *w, gboolean b);
gint notebook_managment_set_option_eject ( GtkWindow *w, gboolean b);
gint notebook_managment_set_option_category_recursive ( GtkWindow *w, gboolean b);
gint notebook_managment_set_option_explore_archive ( GtkWindow *w, gboolean b);
gint notebook_managment_set_option_make_description ( GtkWindow *w, gboolean b);
gchar * notebook_managment_get_device_dir ( GtkWindow *w);
gchar * notebook_managment_get_device_name ( GtkWindow *w);
gchar * notebook_managment_get_device_number ( GtkWindow *w);
gchar * notebook_managment_get_device_category ( GtkWindow *w);
gboolean notebook_managment_get_option_display_info ( GtkWindow *w);
gboolean notebook_managment_get_option_automount ( GtkWindow *w);
gboolean notebook_managment_get_option_eject ( GtkWindow *w);
gboolean notebook_managment_get_option_category_recursive ( GtkWindow *w);
gboolean notebook_managment_get_option_explore_archive ( GtkWindow *w);
gboolean notebook_managment_get_option_make_description ( GtkWindow *w);
GtkHBox * notebook_managment_get_combo_box_categories ( GtkWindow *w);
GtkCombo * notebook_managment_get_combo_box_device ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_info ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_type ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_mounted ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_volume ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_serial_number ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_capacity ( GtkWindow *w);
GtkLabel *notebook_managment_get_label_device_free_space ( GtkWindow *w);


#endif
