/*  GWhere.
 *  Copyright (C) 2000  Sbastien LECACHEUR
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "support.h"
#include "main.h"

#include <gtk/gtk.h>
#include <glib.h>

#include <stdlib.h>

#if defined ( OS_WINDOWS)
	#include <windows.h>
#endif

#include "ApplicationManager.h"
#include "GuiManager.h"

#include "res/Icons.h"


int main (int argc, char *argv[])
{
	GtkWindow *window;


//#ifdef ENABLE_NLS
		setlocale ( LC_ALL, "");
		bindtextdomain ( PACKAGE, PACKAGE_LOCALE_DIR);
		textdomain ( PACKAGE);
//#endif

	gtk_set_locale ( );
	gtk_init ( &argc, &argv);

	/* Step 1 : initialize the application. */
	gw_application_manager_init ( );

	/* Step 2 : initialize the IHM. */
	window = interface_create ( );
	gtk_widget_show_all ( GTK_WIDGET ( window));
	icons_load_catalog ( window);

	/* Step 3 : load optional catalog. */
	if ( argc == 2 )
	{
		gw_application_manager_load_catalog ( argv[1]);
	}

	gtk_main ( );

	return 0;
}

